curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name} \
--header 'Salad-Api-Key: <api-key>'import requests
url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}"
headers = {"Salad-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints/{inference_endpoint_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "",
"display_name": "Name",
"icon_url": "<string>",
"id": "cb3a4591-efc3-46c0-b06a-3d820c0ec100",
"input_schema": "<string>",
"name": "transcribe",
"organization_name": "acme-corp",
"output_schema": "<string>",
"price_description": "<string>",
"readme": "<string>"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}Get an Inference Endpoint
Gets an inference endpoint.
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"acme-corp"
The inference endpoint name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"transcribe"
Response
OK
Represents an inference endpoint
The detailed description of the resource.
1000^.*$""
The display-friendly name of the resource.
2 - 63^[ ,-.0-9A-Za-z]+$"Name"
The URL of the icon image
1 - 2048^.*$The inference endpoint identifier.
"cb3a4591-efc3-46c0-b06a-3d820c0ec100"
The input schema
1 - 100000^.*$The inference endpoint name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"transcribe"
The organization name.
2 - 63^[a-z][a-z0-9-]{0,61}[a-z0-9]$"acme-corp"
The output schema
1 - 100000^.*$A description of the price
1 - 100^.*$A markdown file containing a detailed description of the inference endpoint
1 - 100000^.*$Was this page helpful?